Google berkomitmen untuk mendorong terwujudnya keadilan ras bagi komunitas Kulit Hitam. Lihat caranya.

Buletin Keamanan Android—Februari 2017, Buletin Keamanan Android—Februari 2017

Tetap teratur dengan koleksi Simpan dan kategorikan konten berdasarkan preferensi Anda.

Dipublikasikan 06 Februari 2017 | Diperbarui 8 Februari 2017

Buletin Keamanan Android berisi detail kerentanan keamanan yang memengaruhi perangkat Android. Bersamaan dengan buletin, kami telah merilis pembaruan keamanan untuk perangkat Google melalui pembaruan over-the-air (OTA). Gambar firmware perangkat Google juga telah dirilis ke situs Pengembang Google . Tingkat patch keamanan 05 Februari 2017 atau lebih baru mengatasi semua masalah ini. Lihat jadwal pembaruan Pixel dan Nexus untuk mempelajari cara memeriksa tingkat patch keamanan perangkat.

Mitra diberi tahu tentang masalah yang dijelaskan dalam buletin pada 03 Januari 2017 atau sebelumnya. Patch kode sumber untuk masalah ini telah dirilis ke repositori Android Open Source Project (AOSP) dan ditautkan dari buletin ini. Buletin ini juga menyertakan tautan ke patch di luar AOSP.

Yang paling parah dari masalah ini adalah kerentanan keamanan Kritis yang dapat mengaktifkan eksekusi kode jarak jauh pada perangkat yang terpengaruh melalui beberapa metode seperti email, penelusuran web, dan MMS saat memproses file media. Penilaian tingkat keparahan didasarkan pada efek eksploitasi kerentanan yang mungkin terjadi pada perangkat yang terpengaruh, dengan asumsi platform dan mitigasi layanan dinonaktifkan untuk tujuan pengembangan atau jika berhasil dilewati.

Kami tidak memiliki laporan tentang eksploitasi atau penyalahgunaan pelanggan aktif atas masalah yang baru dilaporkan ini. Lihat bagian mitigasi layanan Android dan Google untuk detail tentang perlindungan platform keamanan Android dan perlindungan layanan seperti SafetyNet , yang meningkatkan keamanan platform Android.

Kami mendorong semua pelanggan untuk menerima pembaruan ini ke perangkat mereka.

Pengumuman

  • Buletin ini memiliki dua string tingkat patch keamanan untuk memberikan fleksibilitas kepada mitra Android untuk lebih cepat memperbaiki subset kerentanan yang serupa di semua perangkat Android. Lihat Pertanyaan dan jawaban umum untuk informasi tambahan:
    • 2017-02-01 : String level patch keamanan parsial. String level patch keamanan ini menunjukkan bahwa semua masalah yang terkait dengan 02-01-2017 (dan semua string level patch keamanan sebelumnya) telah diatasi.
    • 2017-02-05 : Lengkapi string level patch keamanan. String tingkat tambalan keamanan ini menunjukkan bahwa semua masalah yang terkait dengan 02-01-2017 dan 02-05-2017 (dan semua string tingkat tambalan keamanan sebelumnya) telah diatasi.
  • Perangkat Google yang didukung akan menerima pembaruan OTA tunggal dengan tingkat patch keamanan 05 Februari 2017.

Mitigasi layanan Android dan Google

Ini adalah ringkasan mitigasi yang disediakan oleh platform keamanan Android dan perlindungan layanan, seperti SafetyNet. Kemampuan ini mengurangi kemungkinan kerentanan keamanan berhasil dieksploitasi di Android.

  • Eksploitasi untuk banyak masalah di Android menjadi lebih sulit dengan peningkatan versi platform Android yang lebih baru. Kami mendorong semua pengguna untuk memperbarui ke versi Android terbaru jika memungkinkan.
  • Tim Keamanan Android secara aktif memantau penyalahgunaan dengan Verify Apps dan SafetyNet , yang dirancang untuk memperingatkan pengguna tentang Aplikasi yang Berpotensi Berbahaya . Verifikasi Aplikasi diaktifkan secara default pada perangkat dengan Layanan Seluler Google dan sangat penting bagi pengguna yang memasang aplikasi dari luar Google Play. Alat rooting perangkat dilarang di Google Play, tetapi Verify Apps memperingatkan pengguna saat mereka mencoba menginstal aplikasi rooting yang terdeteksi—dari mana pun asalnya. Selain itu, Verifikasi Aplikasi berupaya mengidentifikasi dan memblokir pemasangan aplikasi berbahaya yang diketahui yang mengeksploitasi kerentanan eskalasi hak istimewa. Jika aplikasi tersebut telah diinstal, Verify Apps akan memberi tahu pengguna dan mencoba menghapus aplikasi yang terdeteksi.
  • Jika sesuai, aplikasi Google Hangouts dan Messenger tidak secara otomatis meneruskan media ke proses seperti Mediaserver.

Ucapan Terima Kasih

Kami ingin mengucapkan terima kasih kepada para peneliti ini atas kontribusi mereka:

Kami juga ingin mengucapkan terima kasih kepada pihak-pihak berikut atas kontribusi mereka terhadap buletin ini:

  • Pengfei Ding (丁鹏飞), Chenfu Bao (包沉浮), dan Lenx Wei (韦韬) dari Baidu X-Lab (百度安全实验室)

Tingkat patch keamanan 02-01 2017—Detail kerentanan

Di bagian di bawah ini, kami memberikan detail untuk setiap kerentanan keamanan yang berlaku untuk level patch 02-01 2017-01. Ada deskripsi masalah, alasan tingkat keparahan, dan tabel dengan CVE, referensi terkait, tingkat keparahan, perangkat Google yang diperbarui, versi AOSP yang diperbarui (jika berlaku), dan tanggal yang dilaporkan. Jika tersedia, kami akan menautkan perubahan publik yang mengatasi masalah tersebut ke ID bug, seperti daftar perubahan AOSP. Ketika beberapa perubahan terkait dengan satu bug, referensi tambahan ditautkan ke nomor yang mengikuti ID bug.

Kerentanan eksekusi kode jarak jauh di Surfaceflinger

Kerentanan eksekusi kode jarak jauh di Surfaceflinger dapat memungkinkan penyerang menggunakan file yang dibuat khusus untuk menyebabkan kerusakan memori selama file media dan pemrosesan data. Masalah ini dinilai sebagai Kritis karena kemungkinan eksekusi kode jarak jauh dalam konteks proses Surfaceflinger.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Versi AOSP yang diperbarui Tanggal dilaporkan
CVE-2017-0405 A-31960359 Kritis Semua 7.0, 7.1.1 4 Oktober 2016

Kerentanan eksekusi kode jarak jauh di Mediaserver

Kerentanan eksekusi kode jarak jauh di Mediaserver dapat memungkinkan penyerang menggunakan file yang dibuat khusus untuk menyebabkan kerusakan memori selama file media dan pemrosesan data. Masalah ini dinilai sebagai Kritis karena kemungkinan eksekusi kode jarak jauh dalam konteks proses Mediaserver.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Versi AOSP yang diperbarui Tanggal dilaporkan
CVE-2017-0406 A-32915871 [ 2 ] Kritis Semua 6.0, 6.0.1, 7.0, 7.1.1 14 November 2016
CVE-2017-0407 A-32873375 Kritis Semua 6.0, 6.0.1, 7.0, 7.1.1 12 November 2016

Kerentanan eksekusi kode jarak jauh di libgdx

Kerentanan eksekusi kode jarak jauh di libgdx dapat memungkinkan penyerang menggunakan file yang dibuat khusus untuk mengeksekusi kode arbitrer dalam konteks proses yang tidak memiliki hak istimewa. Masalah ini dinilai sebagai Tinggi karena kemungkinan eksekusi kode jarak jauh dalam aplikasi yang menggunakan pustaka ini.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Versi AOSP yang diperbarui Tanggal dilaporkan
CVE-2017-0408 A-32769670 Tinggi Semua 7.1.1 9 November 2016

Kerentanan eksekusi kode jarak jauh di libstagefright

Kerentanan eksekusi kode jarak jauh di libstagefright dapat memungkinkan penyerang menggunakan file yang dibuat khusus untuk mengeksekusi kode arbitrer dalam konteks proses yang tidak memiliki hak istimewa. Masalah ini dinilai sebagai Tinggi karena kemungkinan eksekusi kode jarak jauh dalam aplikasi yang menggunakan pustaka ini.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Versi AOSP yang diperbarui Tanggal dilaporkan
CVE-2017-0409 A-31999646 Tinggi Semua 6.0, 6.0.1, 7.0, 7.1.1 internal Google

Peningkatan kerentanan hak istimewa di Java.Net

Peningkatan hak istimewa di perpustakaan Java.Net dapat mengaktifkan konten web berbahaya untuk mengarahkan pengguna ke situs web lain tanpa izin eksplisit. Masalah ini dinilai sebagai Tinggi karena merupakan bypass jarak jauh dari persyaratan interaksi pengguna.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Versi AOSP yang diperbarui Tanggal dilaporkan
CVE-2016-5552 A-31858037 Tinggi Semua 7.0, 7.1.1 30 Sep 2016

Peningkatan kerentanan hak istimewa di Framework API

Peningkatan kerentanan hak istimewa di Framework API dapat memungkinkan aplikasi jahat lokal untuk mengeksekusi kode arbitrer dalam konteks proses istimewa. Masalah ini dinilai sebagai Tinggi karena dapat digunakan untuk mendapatkan akses lokal ke kemampuan yang lebih tinggi, yang biasanya tidak dapat diakses oleh aplikasi pihak ketiga.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Versi AOSP yang diperbarui Tanggal dilaporkan
CVE-2017-0410 A-31929765 Tinggi Semua 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1 2 Oktober 2016
CVE-2017-0411 A-33042690 [ 2 ] Tinggi Semua 7.0, 7.1.1 21 November 2016
CVE-2017-0412 A-33039926 [ 2 ] Tinggi Semua 7.0, 7.1.1 21 November 2016

Peningkatan kerentanan hak istimewa di Mediaserver

Peningkatan kerentanan hak istimewa di Mediaserver dapat memungkinkan aplikasi jahat lokal untuk mengeksekusi kode arbitrer dalam konteks proses istimewa. Masalah ini dinilai sebagai Tinggi karena dapat digunakan untuk mendapatkan akses lokal ke kemampuan yang lebih tinggi, yang biasanya tidak dapat diakses oleh aplikasi pihak ketiga.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Versi AOSP yang diperbarui Tanggal dilaporkan
CVE-2017-0415 A-32706020 Tinggi Semua 6.0, 6.0.1, 7.0, 7.1.1 4 November 2016

Peningkatan kerentanan hak istimewa di Audioserver

Peningkatan kerentanan hak istimewa di Audioserver dapat mengaktifkan aplikasi jahat lokal untuk mengeksekusi kode arbitrer dalam konteks proses istimewa. Masalah ini dinilai sebagai Tinggi karena dapat digunakan untuk mendapatkan akses lokal ke kemampuan yang lebih tinggi, yang biasanya tidak dapat diakses oleh aplikasi pihak ketiga.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Versi AOSP yang diperbarui Tanggal dilaporkan
CVE-2017-0416 A-32886609 [ 2 ] Tinggi Semua 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1 internal Google
CVE-2017-0417 A-32705438 Tinggi Semua 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1 7 November 2016
CVE-2017-0418 A-32703959 [ 2 ] Tinggi Semua 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1 7 November 2016
CVE-2017-0419 A-32220769 Tinggi Semua 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1 15 Oktober 2016

Kerentanan pengungkapan informasi di AOSP Mail

Kerentanan pengungkapan informasi di AOSP Mail dapat memungkinkan aplikasi berbahaya lokal untuk melewati perlindungan sistem operasi yang mengisolasi data aplikasi dari aplikasi lain. Masalah ini dinilai Tinggi karena dapat digunakan untuk mendapatkan akses ke data yang tidak dapat diakses oleh aplikasi.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Versi AOSP yang diperbarui Tanggal dilaporkan
CVE-2017-0420 A-32615212 Tinggi Semua 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1 12 Sep 2016

Kerentanan pengungkapan informasi di Pesan AOSP

Kerentanan pengungkapan informasi di AOSP Messaging dapat memungkinkan aplikasi berbahaya lokal untuk melewati perlindungan sistem operasi yang mengisolasi data aplikasi dari aplikasi lain. Masalah ini dinilai Tinggi karena dapat digunakan untuk mendapatkan akses ke data yang tidak dapat diakses oleh aplikasi.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Versi AOSP yang diperbarui Tanggal dilaporkan
CVE-2017-0413 A-32161610 Tinggi Semua 6.0, 6.0.1, 7.0, 7.1.1 13 Oktober 2016
CVE-2017-0414 A-32807795 Tinggi Semua 6.0, 6.0.1, 7.0, 7.1.1 10 November 2016

Kerentanan pengungkapan informasi di Framework API

Kerentanan pengungkapan informasi di Framework API dapat memungkinkan aplikasi berbahaya lokal untuk melewati perlindungan sistem operasi yang mengisolasi data aplikasi dari aplikasi lain. Masalah ini dinilai Tinggi karena dapat digunakan untuk mendapatkan akses ke data yang tidak dapat diakses oleh aplikasi.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Versi AOSP yang diperbarui Tanggal dilaporkan
CVE-2017-0421 A-32555637 Tinggi Semua 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1 internal Google

Kerentanan penolakan layanan di Bionic DNS

Kerentanan penolakan layanan di Bionic DNS dapat memungkinkan penyerang jarak jauh menggunakan paket jaringan yang dibuat khusus untuk menyebabkan perangkat hang atau reboot. Masalah ini dinilai Tinggi karena kemungkinan penolakan layanan jarak jauh.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Versi AOSP yang diperbarui Tanggal dilaporkan
CVE-2017-0422 A-32322088 Tinggi Semua 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1 20 Oktober 2016

Peningkatan kerentanan hak istimewa di Bluetooth

Peningkatan kerentanan hak istimewa di Bluetooth dapat memungkinkan penyerang terdekat untuk mengelola akses ke dokumen di perangkat. Masalah ini dinilai sebagai Sedang karena pertama-tama memerlukan eksploitasi kerentanan terpisah di tumpukan Bluetooth.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Versi AOSP yang diperbarui Tanggal dilaporkan
CVE-2017-0423 A-32612586 Sedang Semua 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1 2 November 2016

Kerentanan pengungkapan informasi di Pesan AOSP

Kerentanan pengungkapan informasi di AOSP Messaging dapat memungkinkan penyerang jarak jauh menggunakan file yang dibuat khusus untuk mengakses data di luar tingkat izinnya. Masalah ini dinilai sebagai Sedang karena merupakan pintasan umum untuk pertahanan tingkat pengguna secara mendalam atau mengeksploitasi teknologi mitigasi dalam proses istimewa.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Versi AOSP yang diperbarui Tanggal dilaporkan
CVE-2017-0424 A-32322450 Sedang Semua 6.0, 6.0.1, 7.0, 7.1.1 20 Oktober 2016

Kerentanan pengungkapan informasi di Audioserver

Kerentanan pengungkapan informasi di Audioserver dapat mengaktifkan aplikasi berbahaya lokal untuk mengakses data di luar tingkat izinnya. Masalah ini dinilai sebagai Sedang karena dapat digunakan untuk mengakses data sensitif tanpa izin.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Versi AOSP yang diperbarui Tanggal dilaporkan
CVE-2017-0425 A-32720785 Sedang Semua 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1 7 November 2016

Kerentanan pengungkapan informasi di Sistem File

Kerentanan pengungkapan informasi di Sistem File dapat memungkinkan aplikasi jahat lokal mengakses data di luar tingkat izinnya. Masalah ini dinilai sebagai Sedang karena dapat digunakan untuk mengakses data sensitif tanpa izin.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Versi AOSP yang diperbarui Tanggal dilaporkan
CVE-2017-0426 A-32799236 [ 2 ] Sedang Semua 7.0, 7.1.1 internal Google

Tingkat patch keamanan 02-05 2017—Detail kerentanan

Di bagian di bawah ini, kami memberikan detail untuk setiap kerentanan keamanan yang berlaku untuk level patch 02-05 2017 Ada deskripsi masalah, alasan tingkat keparahan, dan tabel dengan CVE, referensi terkait, tingkat keparahan, perangkat Google yang diperbarui, versi AOSP yang diperbarui (jika berlaku), dan tanggal yang dilaporkan. Jika tersedia, kami akan menautkan perubahan publik yang mengatasi masalah tersebut ke ID bug, seperti daftar perubahan AOSP. Ketika beberapa perubahan terkait dengan satu bug, referensi tambahan ditautkan ke nomor yang mengikuti ID bug.

Kerentanan eksekusi kode jarak jauh pada driver kripto Qualcomm

Kerentanan eksekusi kode jarak jauh pada driver kripto Qualcomm dapat memungkinkan penyerang jarak jauh untuk mengeksekusi kode arbitrer dalam konteks kernel. Masalah ini dinilai sebagai Kritis karena kemungkinan eksekusi kode jarak jauh dalam konteks kernel.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2016-8418 A-32652894
QC-CR#1077457
Kritis Tidak ada* 10 Oktober 2016

* Perangkat Google yang didukung di Android 7.0 atau lebih baru yang telah menginstal semua pembaruan yang tersedia tidak terpengaruh oleh kerentanan ini.

Peningkatan kerentanan hak istimewa dalam sistem file kernel

Peningkatan kerentanan hak istimewa dalam sistem file kernel dapat memungkinkan aplikasi jahat lokal untuk mengeksekusi kode arbitrer dalam konteks kernel. Masalah ini dinilai sebagai Kritis karena kemungkinan kompromi perangkat permanen lokal, yang mungkin memerlukan reflash sistem operasi untuk memperbaiki perangkat.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2017-0427 A-31495866* Kritis Nexus 5X, Nexus 6, Nexus 6P, Nexus 9, Android One, Pixel C, Nexus Player, Pixel, Pixel XL 13 Sep 2016

* Patch untuk masalah ini tidak tersedia untuk umum. Pembaruan terdapat dalam driver biner terbaru untuk perangkat Nexus yang tersedia dari situs Pengembang Google .

Peningkatan kerentanan hak istimewa di driver GPU NVIDIA

Peningkatan kerentanan hak istimewa pada driver GPU NVIDIA dapat mengaktifkan aplikasi jahat lokal untuk mengeksekusi kode arbitrer dalam konteks kernel. Masalah ini dinilai sebagai Kritis karena kemungkinan kompromi perangkat permanen lokal, yang mungkin memerlukan reflash sistem operasi untuk memperbaiki perangkat.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2017-0428 A-32401526*
N-CVE-2017-0428
Kritis Nexus 9 25 Oktober 2016
CVE-2017-0429 A-32636619*
N-CVE-2017-0429
Kritis Nexus 9 3 November 2016

* Patch untuk masalah ini tidak tersedia untuk umum. Pembaruan terdapat dalam driver biner terbaru untuk perangkat Nexus yang tersedia dari situs Pengembang Google .

Peningkatan kerentanan hak istimewa dalam subsistem jaringan kernel

Peningkatan kerentanan hak istimewa dalam subsistem jaringan kernel dapat memungkinkan aplikasi jahat lokal untuk mengeksekusi kode arbitrer dalam konteks kernel. Masalah ini dinilai sebagai Kritis karena kemungkinan kompromi perangkat permanen lokal, yang mungkin memerlukan reflash sistem operasi untuk memperbaiki perangkat.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2014-9914 A-32882659
Kernel hulu
Kritis Nexus 6, Pemutar Nexus 9 November 2016

Peningkatan kerentanan hak istimewa di driver Broadcom Wi-Fi

Peningkatan kerentanan hak istimewa di driver Broadcom Wi-Fi dapat mengaktifkan aplikasi berbahaya lokal untuk mengeksekusi kode arbitrer dalam konteks kernel. Masalah ini dinilai sebagai Kritis karena kemungkinan kompromi perangkat permanen lokal, yang mungkin memerlukan reflash sistem operasi untuk memperbaiki perangkat.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2017-0430 A-32838767*
B-RB#107459
Kritis Nexus 6, Nexus 6P, Nexus 9, Pixel C, Nexus Player internal Google

* Patch untuk masalah ini tidak tersedia untuk umum. Pembaruan terdapat dalam driver biner terbaru untuk perangkat Nexus yang tersedia dari situs Pengembang Google .

Kerentanan dalam komponen Qualcomm

Kerentanan berikut memengaruhi komponen Qualcomm dan dijelaskan lebih lanjut dalam buletin keamanan Qualcomm AMSS September 2016.

CVE Referensi Kerasnya* Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2017-0431 A-32573899** Kritis Tidak ada*** internal Qualcomm

* Tingkat keparahan untuk kerentanan ini ditentukan oleh vendor.

** Patch untuk masalah ini tidak tersedia untuk umum. Pembaruan terdapat dalam driver biner terbaru untuk perangkat Nexus yang tersedia dari situs Pengembang Google .

*** Perangkat Google yang didukung di Android 7.0 atau lebih baru yang telah menginstal semua pembaruan yang tersedia tidak terpengaruh oleh kerentanan ini.

Peningkatan kerentanan hak istimewa di driver MediaTek

Peningkatan kerentanan hak istimewa pada driver MediaTek dapat mengaktifkan aplikasi jahat lokal untuk mengeksekusi kode arbitrer dalam konteks kernel. Masalah ini dinilai sebagai Tinggi karena pertama-tama membutuhkan kompromi proses istimewa.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2017-0432 A-28332719*
M-ALPS02708925
Tinggi Tidak ada** 21 April 2016

* Patch untuk masalah ini tidak tersedia untuk umum. Pembaruan terdapat dalam driver biner terbaru untuk perangkat Nexus yang tersedia dari situs Pengembang Google .

** Perangkat Google yang didukung di Android 7.0 atau lebih baru yang telah menginstal semua pembaruan yang tersedia tidak terpengaruh oleh kerentanan ini.

Peningkatan kerentanan hak istimewa di driver layar sentuh Synaptics

Peningkatan kerentanan hak istimewa dalam driver layar sentuh Synaptics dapat memungkinkan aplikasi jahat lokal untuk mengeksekusi kode arbitrer dalam konteks chipset layar sentuh. Masalah ini dinilai sebagai Tinggi karena pertama-tama membutuhkan kompromi proses istimewa.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2017-0433 A-31913571* Tinggi Nexus 6P, Nexus 9, Android One, Pixel, Pixel XL 8 September 2016
CVE-2017-0434 A-33001936* Tinggi Piksel, Piksel XL 18 November 2016

* Patch untuk masalah ini tidak tersedia untuk umum. Pembaruan terdapat dalam driver biner terbaru untuk perangkat Nexus yang tersedia dari situs Pengembang Google .

Peningkatan kerentanan hak istimewa di driver Qualcomm Secure Execution Environment Communicator

Peningkatan kerentanan hak istimewa di drive Qualcomm Secure Execution Environment Communicator dapat memungkinkan aplikasi jahat lokal untuk mengeksekusi kode arbitrer dalam konteks kernel. Masalah ini dinilai sebagai Tinggi karena pertama-tama membutuhkan kompromi proses istimewa.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2016-8480 A-31804432
QC-CR#1086186 [ 2 ]
Tinggi Nexus 5X, Nexus 6, Nexus 6P, Android One, Pixel, Pixel XL 28 Sep 2016

Peningkatan kerentanan hak istimewa di driver suara Qualcomm

Peningkatan kerentanan hak istimewa di driver suara Qualcomm dapat memungkinkan aplikasi jahat lokal untuk mengeksekusi kode arbitrer dalam konteks kernel. Masalah ini dinilai sebagai Tinggi karena pertama-tama membutuhkan kompromi proses istimewa.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2016-8481 A-31906415*
QC-CR#1078000
Tinggi Nexus 5X, Nexus 6P, Piksel, Piksel XL 1 Oktober 2016
CVE-2017-0435 A-31906657*
QC-CR#1078000
Tinggi Nexus 5X, Nexus 6P, Piksel, Piksel XL 1 Oktober 2016
CVE-2017-0436 A-32624661*
QC-CR#1078000
Tinggi Nexus 5X, Nexus 6P, Piksel, Piksel XL 2 November 2016

* Patch untuk masalah ini tidak tersedia untuk umum. Pembaruan terdapat dalam driver biner terbaru untuk perangkat Nexus yang tersedia dari situs Pengembang Google .

Peningkatan kerentanan hak istimewa di driver Qualcomm Wi-Fi

Peningkatan kerentanan hak istimewa pada driver Qualcomm Wi-Fi dapat mengaktifkan aplikasi jahat lokal untuk mengeksekusi kode arbitrer dalam konteks kernel. Masalah ini dinilai sebagai Tinggi karena pertama-tama membutuhkan kompromi proses istimewa.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2017-0437 A-32402310
QC-CR#1092497
Tinggi Nexus 5X, Piksel, Piksel XL 25 Oktober 2016
CVE-2017-0438 A-32402604
QC-CR#1092497
Tinggi Nexus 5X, Piksel, Piksel XL 25 Oktober 2016
CVE-2017-0439 A-32450647
QC-CR#1092059
Tinggi Nexus 5X, Piksel, Piksel XL 25 Oktober 2016
CVE-2016-8419 A-32454494
QC-CR#1087209
Tinggi Nexus 5X, Piksel, Piksel XL 26 Oktober 2016
CVE-2016-8420 A-32451171
QC-CR#1087807
Tinggi Nexus 5X, Piksel, Piksel XL 26 Oktober 2016
CVE-2016-8421 A-32451104
QC-CR#1087797
Tinggi Nexus 5X, Piksel, Piksel XL 26 Oktober 2016
CVE-2017-0440 A-33252788
QC-CR#1095770
Tinggi Nexus 5X, Piksel, Piksel XL 11 November 2016
CVE-2017-0441 A-32872662
QC-CR#109509
Tinggi Nexus 5X, Piksel, Piksel XL 11 November 2016
CVE-2017-0442 A-32871330
QC-CR#1092497
Tinggi Nexus 5X, Piksel, Piksel XL 13 November 2016
CVE-2017-0443 A-32877494
QC-CR#1092497
Tinggi Nexus 5X, Piksel, Piksel XL 13 November 2016
CVE-2016-8476 A-32879283
QC-CR#1091940
Tinggi Nexus 5X, Piksel, Piksel XL 14 November 2016

Peningkatan kerentanan hak istimewa di driver suara Realtek

Peningkatan kerentanan hak istimewa dalam driver suara Realtek dapat memungkinkan aplikasi jahat lokal untuk mengeksekusi kode arbitrer dalam konteks kernel. Masalah ini dinilai sebagai Tinggi karena pertama-tama membutuhkan kompromi proses istimewa.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2017-0444 A-32705232* Tinggi Nexus 9 7 November 2016

* Patch untuk masalah ini tidak tersedia untuk umum. Pembaruan terdapat dalam driver biner terbaru untuk perangkat Nexus yang tersedia dari situs Pengembang Google .

Peningkatan kerentanan hak istimewa di driver layar sentuh HTC

Peningkatan kerentanan hak istimewa pada driver layar sentuh HTC dapat mengaktifkan aplikasi jahat lokal untuk mengeksekusi kode arbitrer dalam konteks kernel. Masalah ini dinilai sebagai Tinggi karena pertama-tama membutuhkan kompromi proses istimewa.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2017-0445 A-32769717* Tinggi Piksel, Piksel XL 9 November 2016
CVE-2017-0446 A-32917445* Tinggi Piksel, Piksel XL 15 November 2016
CVE-2017-0447 A-32919560* Tinggi Piksel, Piksel XL 15 November 2016

* Patch untuk masalah ini tidak tersedia untuk umum. Pembaruan terdapat dalam driver biner terbaru untuk perangkat Nexus yang tersedia dari situs Pengembang Google .

Kerentanan pengungkapan informasi di driver video NVIDIA

Kerentanan pengungkapan informasi dalam driver video NVIDIA dapat memungkinkan aplikasi jahat lokal mengakses data di luar tingkat izinnya. Masalah ini dinilai Tinggi karena dapat digunakan untuk mengakses data sensitif tanpa izin pengguna yang eksplisit.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2017-0448 A-32721029*
N-CVE-2017-0448
Tinggi Nexus 9 7 November 2016

* Patch untuk masalah ini tidak tersedia untuk umum. Pembaruan terdapat dalam driver biner terbaru untuk perangkat Nexus yang tersedia dari situs Pengembang Google .

Peningkatan kerentanan hak istimewa di driver Broadcom Wi-Fi

Peningkatan kerentanan hak istimewa di driver Broadcom Wi-Fi dapat mengaktifkan aplikasi berbahaya lokal untuk mengeksekusi kode arbitrer dalam konteks kernel. Masalah ini dinilai sebagai Sedang karena pertama-tama memerlukan kompromi proses istimewa dan dimitigasi oleh konfigurasi platform saat ini.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2017-0449 A-31707909*
B-RB#32094
Sedang Nexus 6, Nexus 6P 23 Sep 2016

* Patch untuk masalah ini tidak tersedia untuk umum. Pembaruan terdapat dalam driver biner terbaru untuk perangkat Nexus yang tersedia dari situs Pengembang Google .

Peningkatan kerentanan hak istimewa di Audioserver

Peningkatan kerentanan hak istimewa di Audioserver dapat mengaktifkan aplikasi jahat lokal untuk mengeksekusi kode arbitrer dalam konteks proses istimewa. Masalah ini dinilai sebagai Sedang karena dimitigasi oleh konfigurasi platform saat ini.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2017-0450 A-32917432* Sedang Nexus 9 15 November 2016

* Patch untuk masalah ini tidak tersedia untuk umum. Pembaruan terdapat dalam driver biner terbaru untuk perangkat Nexus yang tersedia dari situs Pengembang Google .

Peningkatan kerentanan hak istimewa dalam sistem file kernel

Peningkatan kerentanan hak istimewa dalam sistem file kernel dapat memungkinkan aplikasi jahat lokal untuk melewati perlindungan yang mencegah eskalasi hak istimewa. Masalah ini dinilai sebagai Sedang karena merupakan pintasan umum untuk pertahanan tingkat pengguna secara mendalam atau mengeksploitasi teknologi mitigasi.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2016-10044 A-31711619* Sedang Nexus 5X, Nexus 6, Nexus 6P, Nexus 9, Android One, Pixel C, Nexus Player, Pixel, Pixel XL internal Google

* Patch untuk masalah ini tidak tersedia untuk umum. Pembaruan terdapat dalam driver biner terbaru untuk perangkat Nexus yang tersedia dari situs Pengembang Google .

Kerentanan pengungkapan informasi di Qualcomm Secure Execution Environment Communicator

Kerentanan pengungkapan informasi di Qualcomm Secure Execution Environment Communicator dapat memungkinkan aplikasi jahat lokal mengakses data di luar tingkat izinnya. Masalah ini dinilai sebagai Sedang karena pertama-tama membutuhkan kompromi proses istimewa.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2016-8414 A-31704078
QC-CR#1076407
Sedang Nexus 5X, Nexus 6P, Android One, Pixel, Pixel XL 23 Sep 2016

Kerentanan pengungkapan informasi di driver suara Qualcomm

Kerentanan pengungkapan informasi di driver suara Qualcomm dapat memungkinkan aplikasi jahat lokal mengakses data di luar tingkat izinnya. Masalah ini dinilai sebagai Sedang karena pertama-tama membutuhkan kompromi proses istimewa.

CVE Referensi Kerasnya Perangkat Google yang diperbarui Tanggal dilaporkan
CVE-2017-0451 A-31796345
QC-CR#1073129 [ 2 ]
Sedang Nexus 5X, Nexus 6P, Android One, Pixel, Pixel XL 27 Sep 2016

Pertanyaan dan Jawaban Umum

Bagian ini menjawab pertanyaan umum yang mungkin muncul setelah membaca buletin ini.

1. Bagaimana cara menentukan apakah perangkat saya diperbarui untuk mengatasi masalah ini?

Untuk mempelajari cara memeriksa tingkat patch keamanan perangkat, baca petunjuk di jadwal pembaruan Pixel dan Nexus .

  • Tingkat tambalan keamanan 01-02-2017 atau yang lebih baru mengatasi semua masalah yang terkait dengan tingkat tambalan keamanan 02-01-2017.
  • Tingkat patch keamanan 02-05 atau lebih baru mengatasi semua masalah yang terkait dengan tingkat patch keamanan 02-05 2017 dan semua tingkat patch sebelumnya.

Produsen perangkat yang menyertakan pembaruan ini harus menyetel level string patch ke:

  • [ro.build.version.security_patch]:[2017-02-01]
  • [ro.build.version.security_patch]:[2017-02-05]

2. Mengapa buletin ini memiliki dua tingkat patch keamanan?

Buletin ini memiliki dua tingkat patch keamanan sehingga mitra Android memiliki fleksibilitas untuk memperbaiki subset kerentanan yang serupa di semua perangkat Android dengan lebih cepat. Mitra Android didorong untuk memperbaiki semua masalah dalam buletin ini dan menggunakan tingkat patch keamanan terbaru.

  • Perangkat yang menggunakan tingkat patch keamanan 1 Februari 2017 harus menyertakan semua masalah yang terkait dengan tingkat patch keamanan tersebut, serta perbaikan untuk semua masalah yang dilaporkan di buletin keamanan sebelumnya.
  • Perangkat yang menggunakan tingkat patch keamanan 5 Februari 2017 atau yang lebih baru harus menyertakan semua patch yang berlaku dalam buletin keamanan ini (dan sebelumnya).

Mitra didorong untuk menggabungkan perbaikan untuk semua masalah yang mereka tangani dalam satu pembaruan.

3. Bagaimana cara menentukan perangkat Google mana yang terpengaruh oleh setiap masalah?

In the 2017-02-01 and 2017-02-05 security vulnerability details sections, each table has an Updated Google devices column that covers the range of affected Google devices updated for each issue. This column has a few options:

  • All Google devices : If an issue affects All and Pixel devices, the table will have "All" in the Updated Google devices column. "All" encapsulates the following supported devices : Nexus 5X, Nexus 6, Nexus 6P, Nexus 9, Android One, Nexus Player, Pixel C, Pixel, and Pixel XL.
  • Some Google devices : If an issue doesn't affect all Google devices, the affected Google devices are listed in the Updated Google devices column.
  • No Google devices : If no Google devices running Android 7.0 are affected by the issue, the table will have "None" in the Updated Google devices column.

4. What do the entries in the references column map to?

Entries under the References column of the vulnerability details table may contain a prefix identifying the organization to which the reference value belongs. These prefixes map as follows:

Prefix Reference
A- Android bug ID
QC- Qualcomm reference number
M- MediaTek reference number
N- NVIDIA reference number
B- Broadcom reference number

Revisions

  • February 06, 2017: Bulletin published.
  • February 08, 2017: Bulletin revised to include AOSP links.